
// Теоретичні питання
// 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикл забезпечує багаторазове виконання повторюваних обчислень, це оптимізує написання коду, виконуючи
// блок інструкцій, цикли  зручно використовувати коли треба виконати одну дію кілька разів разів.
//
// 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// Я використовувала цикли для перевірки  виконання умов до і після ітерацій, при виконанні обчисленб та при повторі
// обчислювальних дій  декілька разів.

// 3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
// Явне перетворення типів визначається користувачем та він сампроводить всі дії.
// (25).toString()
// Неявне перетворення - коли мова програування автоматично перетворює один тип в інший.
//

let userNumber = +prompt("Введіть число!");
if (userNumber < 5) {
    console.log("Sorry, no numbers")
} else {
    for (let i = 1; i<=userNumber; i++) {
        if (i % 5 === 0) {
            console.log (i);
        }
    }
}

